petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMGetLocalToGlobalMapping

Accesses the local-to-global mapping in a DM.

### Synopsis

    #include "petscdm.h"
    PetscErrorCode  DMGetLocalToGlobalMapping(DM dm,ISLocalToGlobalMapping *ltog)

Collective on DM

### Input Parameter

dm -the DM that provides the mapping

### Output Parameter

ltog -the mapping

### Notes

This mapping can then be used by VecSetLocalToGlobalMapping() or MatSetLocalToGlobalMapping().

### See Also

DMCreateLocalVector()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html
src/ksp/ksp/examples/tutorials/ex14f.F.html
src/snes/examples/tutorials/ex48.c.html
src/snes/examples/tutorials/ex5f90t.F.html
src/tao/bound/examples/tutorials/plate2.c.html
src/tao/bound/examples/tutorials/plate2f.F.html